- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_write_concern_t

# mongoc_write_concern_get_wmajority()

## Synopsis

    bool
    mongoc_write_concern_get_wmajority (
       const mongoc_write_concern_t *write_concern);

## Parameters

- `write_concern`: A mongoc_write_concern_t.

## Description

Fetches if the write should be written to a majority of nodes before indicating success.

## Returns

Returns true if wmajority is set.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.